Create a notification destination
curl --request POST \
--url https://api.mnemom.ai/v1/orgs/{org_id}/governance/notification-destinations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {},
"filter": {
"sources": [],
"severities": [],
"scopes": [],
"pattern_types": [
"<string>"
]
},
"enabled": true,
"display_name": "<string>"
}
'import requests
url = "https://api.mnemom.ai/v1/orgs/{org_id}/governance/notification-destinations"
payload = {
"config": {},
"filter": {
"sources": [],
"severities": [],
"scopes": [],
"pattern_types": ["<string>"]
},
"enabled": True,
"display_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config: {},
filter: {sources: [], severities: [], scopes: [], pattern_types: ['<string>']},
enabled: true,
display_name: '<string>'
})
};
fetch('https://api.mnemom.ai/v1/orgs/{org_id}/governance/notification-destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "<string>",
"config": {},
"filter": {
"sources": [],
"severities": [],
"scopes": [],
"pattern_types": [
"<string>"
]
},
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_tested_at": "2023-11-07T05:31:56Z",
"last_test_error": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Governance
Create a notification destination
Authorized: org_admin or org_owner.
POST
/
orgs
/
{org_id}
/
governance
/
notification-destinations
Create a notification destination
Authorizations
BearerAuthApiKeyAuth
Supabase JWT token in Authorization: Bearer header
Path Parameters
Organization identifier (e.g. org-abc12345)
Body
application/json
Response
Notification destination.
Available options:
webhook, slack, email, pagerduty Show child attributes
Show child attributes
Available options:
ok, failed ⌘I